/*
 * Click nbfs://nbhost/SystemFileSystem/Templates/Licenses/license-default.txt to change this license
 */
package com.jcg.queuetolistexamplecommons;

import java.util.LinkedList;
import java.util.Queue;
import java.util.List;
import org.apache.commons.collections4.IterableUtils;

/**
 *
 * @author omozegieaziegbe
 */
public class QueueToListExampleCommons {

    public static void main(String[] args) {
        // Create a queue
        Queue<String> carQueue = new LinkedList<>();
        carQueue.add("Toyota");
        carQueue.add("Honda");
        carQueue.add("Ford");

        // Convert the queue to a list using Apache Commons Collections
        List<String> list = IterableUtils.toList(carQueue);

        // Display the list
        System.out.println("List: " + list);
    }
}
